PICOTOOL-PARTITION-CREATE(1)

NAME
picotool-partition-create - Create a partition table from json

SYNOPSIS
picotool partition create [--quiet] [--verbose] <infile> <outfile> [-t <type>] [[-o <offset>] [--family <family_id>]] [<bootloader>] [-t <type>] [--singleton] [[--abs-block] [<abs_block_loc>]]

OPTIONS

--quiet
    Don’t print any output

--verbose
    Print verbose output

<infile>
    partition table JSON

--singleton
    Partition Table Options

output file

<outfile>
    The file name

-t <type>
    Specify file type (uf2 | elf | bin) explicitly, ignoring fileextension

UF2 output options

-o, --offset
    Specify the load address for UF2 file output

<offset>
    Load offset (memory address; default 0x10000000)

--family
    Specify the family if for UF2 file output

<family_id>
    family ID for UF2 (default absolute)

embed partition table into bootloader ELF

<bootloader>
    The file name

-t <type>
    Specify file type (elf) explicitly, ignoring file extension

Errata RP2350-E10 Fix

--abs-block
    Enforce support for an absolute block

<abs_block_loc>
    absolute block location (default to 0x10ffff00)